Subject: Growing Western Sagebrush

From: [email-masked] (Seth Pybas)
Date: Sat, 4 Mar 1995 20:47:54 GMT

This may or may not be an appropriate newsgroup for this post, so if I 
transgress, my apologies.

My problem is this.  I live in the New York area, but have managed to get 
a hold of some artemisia tridentata (Big Sagebrush) seeds and would like 
to get them to sprout, but I'm having difficulty.

The soil should be moderately alkaline and have great drainage, as this
is typical of the desert climate in which it grows best.  I think if I 
can get over this hurdle I can get them to sprout.  How do I increase 
alkalinity?

Any suggestions?  Thanks very much.